# snapshottest: v1 - https://goo.gl/zC4yUc

from snapshottest import Snapshot


snapshots = Snapshot()

snapshots["GetMessageTest::test_get_email 1"] = {
    "archive": True,
    "attempts": 0,
    "create_datetime": "2000-01-01T00:00:00Z",
    "delivery_datetime": None,
    "message": {
        "attachments": [],
        "body": "BODY",
        "body_html": None,
        "body_template": "body_template",
        "body_template_html": None,
        "body_template_html_uuid": None,
        "body_template_uuid": None,
        "context": {},
        "extra_headers": {},
        "recipient": "kryton@example.org",
        "sender": None,
        "subject": "SUBJECT",
        "subject_template": "subject_template",
        "subject_template_uuid": None,
        "type": None,
    },
    "message_id": None,
    "references": [],
    "send_datetime": None,
    "status": 1,
    "uid": "message:1",
}

snapshots["GetMessageTest::test_get_email_with_attachments 1"] = {
    "archive": True,
    "attempts": 0,
    "create_datetime": "2000-01-01T00:00:00Z",
    "delivery_datetime": None,
    "message": {
        "attachments": [
            {
                "mimetype": "application/pdf",
                "name": "filename.pdf",
                "size": 12345,
                "uuid": "00000000-0000-0000-0000-000000000001",
            }
        ],
        "body": "BODY",
        "body_html": None,
        "body_template": "body_template",
        "body_template_html": None,
        "body_template_html_uuid": None,
        "body_template_uuid": None,
        "context": {},
        "extra_headers": {},
        "recipient": "kryton@example.org",
        "sender": None,
        "subject": "SUBJECT",
        "subject_template": "subject_template",
        "subject_template_uuid": None,
        "type": None,
    },
    "message_id": None,
    "references": [],
    "send_datetime": None,
    "status": 1,
    "uid": "message:1",
}

snapshots["GetMessageTest::test_get_letter 1"] = {
    "archive": True,
    "archive_rendered": False,
    "attempts": 0,
    "create_datetime": None,
    "delivery_datetime": None,
    "message": {
        "body_template": None,
        "body_template_uuid": None,
        "context": {},
        "file": {
            "mimetype": "application/pdf",
            "name": "filename.pdf",
            "size": 12345,
            "uuid": "00000000-0000-0000-0000-000000000001",
        },
        "recipient": {
            "city": "Red Dwarf",
            "country": "",
            "name": "Kryton",
            "organization": "",
            "postal_code": "JMC",
            "state_or_province": "",
            "street": "",
        },
        "type": None,
    },
    "references": [],
    "send_datetime": None,
    "status": 1,
    "uid": "message:1",
}

snapshots["GetMessageTest::test_get_sms 1"] = {
    "archive": True,
    "attempts": 0,
    "create_datetime": "2000-01-01T00:00:00Z",
    "delivery_datetime": None,
    "message": {
        "body": "BODY",
        "body_template": "body_template",
        "body_template_uuid": None,
        "context": {},
        "recipient": "+420111222333",
        "type": None,
    },
    "references": [],
    "send_datetime": None,
    "status": 1,
    "uid": "message:1",
}

snapshots["ListMessagesTest::test_list_emails_empty_query 1"] = {
    "next": None,
    "results": [
        {
            "archive": True,
            "attempts": 0,
            "create_datetime": "2000-01-01T00:00:00Z",
            "delivery_datetime": None,
            "message": {
                "attachments": [],
                "body": "BODY",
                "body_html": None,
                "body_template": "body_template",
                "body_template_html": None,
                "body_template_html_uuid": None,
                "body_template_uuid": None,
                "context": {},
                "extra_headers": {},
                "recipient": "kryton@example.org",
                "sender": None,
                "subject": "SUBJECT",
                "subject_template": "subject_template",
                "subject_template_uuid": None,
                "type": None,
            },
            "message_id": None,
            "references": [],
            "send_datetime": None,
            "status": 1,
            "uid": "message:1",
        },
        {
            "archive": True,
            "attempts": 0,
            "create_datetime": "2000-01-01T00:00:00Z",
            "delivery_datetime": None,
            "message": {
                "attachments": [],
                "body": "BODY",
                "body_html": None,
                "body_template": "body_template",
                "body_template_html": None,
                "body_template_html_uuid": None,
                "body_template_uuid": None,
                "context": {},
                "extra_headers": {},
                "recipient": "kryton@example.org",
                "sender": None,
                "subject": "SUBJECT",
                "subject_template": "subject_template",
                "subject_template_uuid": None,
                "type": None,
            },
            "message_id": None,
            "references": [],
            "send_datetime": None,
            "status": 1,
            "uid": "message:2",
        },
    ],
}

snapshots["ListMessagesTest::test_list_emails_pagination 1"] = {
    "next": "http://testserver/api/messages/email/?page_size=2&time_begin_to=2000-01-01T00%3A00%3A00%2B00%3A00&offset=315446400.0",
    "results": [
        {
            "archive": True,
            "attempts": 0,
            "create_datetime": "1990-01-01T00:00:00Z",
            "delivery_datetime": None,
            "message": {
                "attachments": [],
                "body": "BODY",
                "body_html": None,
                "body_template": "body_template",
                "body_template_html": None,
                "body_template_html_uuid": None,
                "body_template_uuid": None,
                "context": {},
                "extra_headers": {},
                "recipient": "kryton@example.org",
                "sender": None,
                "subject": "SUBJECT",
                "subject_template": "subject_template",
                "subject_template_uuid": None,
                "type": None,
            },
            "message_id": None,
            "references": [],
            "send_datetime": None,
            "status": 1,
            "uid": "message:1",
        },
        {
            "archive": True,
            "attempts": 0,
            "create_datetime": "1990-01-02T00:00:00Z",
            "delivery_datetime": None,
            "message": {
                "attachments": [],
                "body": "BODY",
                "body_html": None,
                "body_template": "body_template",
                "body_template_html": None,
                "body_template_html_uuid": None,
                "body_template_uuid": None,
                "context": {},
                "extra_headers": {},
                "recipient": "kryton@example.org",
                "sender": None,
                "subject": "SUBJECT",
                "subject_template": "subject_template",
                "subject_template_uuid": None,
                "type": None,
            },
            "message_id": None,
            "references": [],
            "send_datetime": None,
            "status": 1,
            "uid": "message:2",
        },
    ],
}

snapshots["ListMessagesTest::test_list_emails_pagination 2"] = {
    "next": None,
    "results": [
        {
            "archive": True,
            "attempts": 0,
            "create_datetime": "1990-01-03T00:00:00Z",
            "delivery_datetime": None,
            "message": {
                "attachments": [],
                "body": "BODY",
                "body_html": None,
                "body_template": "body_template",
                "body_template_html": None,
                "body_template_html_uuid": None,
                "body_template_uuid": None,
                "context": {},
                "extra_headers": {},
                "recipient": "kryton@example.org",
                "sender": None,
                "subject": "SUBJECT",
                "subject_template": "subject_template",
                "subject_template_uuid": None,
                "type": None,
            },
            "message_id": None,
            "references": [],
            "send_datetime": None,
            "status": 1,
            "uid": "message:3",
        }
    ],
}
